> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vued.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get speaker



## OpenAPI

````yaml /openapi/vued-public-api.yaml get /orgs/{org_id}/speakers/{speaker_id}
openapi: 3.1.0
info:
  title: Vued Public API
  version: 0.1.0
  description: >-
    Cloud API for Vued organization metadata, signed audio URLs, API keys, and
    webhooks.
servers:
  - url: https://vued-office-api-dev.onrender.com/v1
security:
  - bearerAuth: []
tags:
  - name: Orgs
  - name: Search
  - name: Audio
  - name: Files
  - name: Directory
  - name: API Keys
  - name: Webhooks
paths:
  /orgs/{org_id}/speakers/{speaker_id}:
    get:
      tags:
        - Directory
      summary: Get speaker
      operationId: getSpeaker
      parameters:
        - $ref: '#/components/parameters/OrgId'
        - name: speaker_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Speaker.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Speaker'
components:
  parameters:
    OrgId:
      name: org_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    Speaker:
      type: object
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - speaker
        type:
          type: string
          enum:
            - anonymous
            - named
        display_name:
          type: string
        sample_count:
          type:
            - integer
            - 'null'
        status:
          type:
            - string
            - 'null'
        is_org_user:
          type:
            - boolean
            - 'null'
        created_at:
          type:
            - string
            - 'null'
        updated_at:
          type:
            - string
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````